﻿namespace HeuristicLab.Problems.ProgramSynthesis.Base.Erc.Boolean {
  using HeuristicLab.Common;
  using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

  [StorableClass]
  public class BooleanErcOptions : ErcOption<bool> {

    public BooleanErcOptions() { }
    public BooleanErcOptions(params IWeightedErcValueItem<bool>[] values) : base(true, values) { }
    public BooleanErcOptions(bool isEnabled, params IWeightedErcValueItem<bool>[] values) : base(isEnabled, values) { }

    [StorableConstructor]
    public BooleanErcOptions(bool deserializing) : base(deserializing) { }

    public BooleanErcOptions(BooleanErcOptions origin, Cloner cloner) : base(origin, cloner) { }

    public override IDeepCloneable Clone(Cloner cloner) {
      return new BooleanErcOptions(this, cloner);
    }
  }
}
